com.genesyslab.wfm8.API.service.config852

## Class CfgShiftBreak

- java.lang.Object
- - com.genesyslab.wfm8.API.service.config852.CfgShiftBreak

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgShiftBreak
      extends java.lang.Object
      implements java.io.Serializable

  Shift Break
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static long` | `serialVersionUID`
    `protected int` | `wmBreakId`
    `protected int` | `wmIndex`
    `protected int` | `wmShiftBreakId`
    `protected int` | `wmShiftId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgShiftBreak()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `int` | `getWmBreakId()` Gets the value of the wmBreakId property.
    `int` | `getWmIndex()` Gets the value of the wmIndex property.
    `int` | `getWmShiftBreakId()` Gets the value of the wmShiftBreakId property.
    `int` | `getWmShiftId()` Gets the value of the wmShiftId property.
    `int` | `hashCode()`
    `void` | `setWmBreakId(int value)` Sets the value of the wmBreakId property.
    `void` | `setWmIndex(int value)` Sets the value of the wmIndex property.
    `void` | `setWmShiftBreakId(int value)` Sets the value of the wmShiftBreakId property.
    `void` | `setWmShiftId(int value)` Sets the value of the wmShiftId property.
    `java.lang.String` | `toString()`
    `CfgShiftBreak` | `withWmBreakId(int value)`
    `CfgShiftBreak` | `withWmIndex(int value)`
    `CfgShiftBreak` | `withWmShiftBreakId(int value)`
    `CfgShiftBreak` | `withWmShiftId(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### wmShiftId

          protected int wmShiftId

    - #### wmShiftBreakId

          protected int wmShiftBreakId

    - #### wmIndex

          protected int wmIndex

    - #### wmBreakId

          protected int wmBreakId

  - ### Constructor Detail

    - #### CfgShiftBreak

          public CfgShiftBreak()

  - ### Method Detail

    - #### getWmShiftId

          public int getWmShiftId()

      Gets the value of the wmShiftId property.

    - #### setWmShiftId

          public void setWmShiftId(int value)

      Sets the value of the wmShiftId property.

    - #### getWmShiftBreakId

          public int getWmShiftBreakId()

      Gets the value of the wmShiftBreakId property.

    - #### setWmShiftBreakId

          public void setWmShiftBreakId(int value)

      Sets the value of the wmShiftBreakId property.

    - #### getWmIndex

          public int getWmIndex()

      Gets the value of the wmIndex property.

    - #### setWmIndex

          public void setWmIndex(int value)

      Sets the value of the wmIndex property.

    - #### getWmBreakId

          public int getWmBreakId()

      Gets the value of the wmBreakId property.

    - #### setWmBreakId

          public void setWmBreakId(int value)

      Sets the value of the wmBreakId property.

    - #### withWmShiftId

          public CfgShiftBreak withWmShiftId(int value)

    - #### withWmShiftBreakId

          public CfgShiftBreak withWmShiftBreakId(int value)

    - #### withWmIndex

          public CfgShiftBreak withWmIndex(int value)

    - #### withWmBreakId

          public CfgShiftBreak withWmBreakId(int value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.